
Katello - Feature #5530

As a user, I should be able to assign CRUD permissions for Lifecycle Environments.

05/01/2014 01:33 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Blocks Katello - Feature #5217: As a user, I should have CRUD permissions for... Closed 04/16/2014

Associated revisions

Revision 81a2c061 - 05/07/2014 03:38 PM - Partha Aji

Fixes #5530 - CRUD perms for Environments

Also includes changes for the UI and api to deal with the new

set of perms

1) New Env shown only if you have create

2) Can update env only if you have update

3) Can delete env only if you have delete

Controllers and tests modified appropriately.

Revision 676ff5d0 - 05/07/2014 07:38 PM - Partha Aji

Fixes #5530 - CRUD perms for Environments

Also includes changes for the UI and api to deal with the new

set of perms

1) New Env shown only if you have create

2) Can update env only if you have update

3) Can delete env only if you have delete

Controllers and tests modified appropriately.

Revision 5bd42046 - 05/08/2014 02:59 PM - Partha Aji

Merge pull request #4035 from parthaa/env-perms

Fixes #5530 - CRUD perms for Environments

History

#1 - 05/01/2014 01:34 PM - Eric Helms

- Tracker changed from Bug to Feature

#2 - 05/01/2014 01:35 PM - Eric Helms

- Blocks Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me. added

#3 - 05/08/2014 03:24 PM - Partha Aji

- Status changed from Assigned to Closed

#4 - 08/22/2014 08:22 AM - Eric Helms
- translation missing: en.field_release set to 13
